<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Blog</title>

    <!-- link CSS perso -->
    <link rel="stylesheet" href="/assets/css/style.css">
    <!-- Link CSS Bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <style>
        @font-face {
            font-family: "vlad";
            src: url("/assets/fonts/Vlad.ttf");
        }
        
        @font-face {
            font-family: "NinjaStrike";
            src: url("/assets/fonts/NinjaStrike.otf");
        }
        
        @media (max-width: 767.98px) {
            #formPost {
                width: 90%;
                max-width: 80vw;
                min-height: 60vh;
                max-height: 100vh;
            }
        }
        
        #formPost {
            width: 800px;
        }
        
        #title_h1 {
            font-family: 'vlad', 'NinjaStrike', Times, serif;
        }
    </style>
</head>

<body>
    <header class="text-center">
        <h1 id="title_h1" class="mt-1 h1">Blog</h1>
    </header>
    <!-- Navbar content -->
    <nav class="sticky-top bg-white navbar-light">
        <ul class="nav nav-tabs">
            <li class="nav-item dropdown d-flex">
                <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Create a new Post</a>
                <div class="dropdown-menu" id="formPost">
                    <form class="m-1" method="post">
                        <div class="form-group">
                            <div class="input-group-prepend m-1">
                                <span class="input-group-text">Author</span>
                                <input type="text" name="author" class="form-control" aria-label="Author" aria-describedby="basic-addon1">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group-prepend m-1">
                                <span class="input-group-text">Title</span>
                                <input type="text" name="title" class="form-control" aria-label="Title" aria-describedby="basic-addon1">
                            </div>
                        </div>
                        <div class="input-group-prepend m-1">
                            <span class="input-group-text">Picture</span>
                            <input type="text" name="imgPath" class="form-control" aria-label="picture" aria-describedby="basic-addon1">
                        </div>
                        <div class="form-group ml-1 mr-1 mt-3 mb-3">
                            <textarea class="form-control" name="content" aria-label="With textarea" placeholder="Insert your comment..."></textarea>
                        </div>
                        <div class="d-flex justify-content-end">
                            <button type="submit" class="btn btn-primary">Add new Post</button>
                        </div>
                    </form>
                </div>
            </li>

        </ul>
    </nav>
    <main class="container">
        <section id="PostList" class="row d-flex align-items-center flex-column-reverse">
            {% for row in PostCtrl %}

            <div class="card border border-primary m-2  col-10 col-md-5">
                <h5 class="card-header text-center">
                    <a href="{{path( 'one_post', {id:row.id})}}">{{row.title}}</a>
                </h5>
                <div class="card-body ">
                    <p class="card-text">
                        {{row.content}}
                    </p>
                    <img src="{{row.imgPath}}" class="card-img-top m-2 img-fluid rounded mx-auto d-block" alt="Responsive image">

                    <div class="card-footer text-muted text-center">
                        {{row.Author}} {{row.postDate|date("m/d/Y H:i:s")}}
                    </div>


                </div>
            </div>
            {% endfor %}

        </section>

        {#
        <p>{{compte}}</p> #}
    </main>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js " integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo " crossorigin="anonymous "></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js " integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut " crossorigin="anonymous "></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js " integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k " crossorigin="anonymous "></script>
</body>

</html>